import express, { Request, Response } from 'express';
import os from 'os';
import lobbyRoutes from './lobby';
import playerRoutes from './player';
import questionRoutes from './question';
import gameRoutes from './game';

const router = express.Router();

// Server info endpoint
router.get('/server', (req: Request, res: Response) => {
  const containerId = os.hostname();
  res.send(containerId);
});

export { lobbyRoutes, playerRoutes, questionRoutes, gameRoutes, router as rootRoutes };
